Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7977 - Load keymap fails
Summary: Load keymap fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-23 20:53 UTC by chris_tucker
Modified: 2014-03-17 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-18 16:59:45 UTC


Attachments (Terms of Use)

Description chris_tucker 1999-12-23 20:53:55 UTC
I want to use a UK keyboard mapping but the section of the rc.sysinit
script copied below does not work.
This is because it is run before the /usr partition has been mounted.
Therefore the test [ ... -d "/usr/lib/kbd/keymaps" ] always fails.
The solution is simply to move this whole section to later in the
script, after all partitions have been mounted read-write.

# Load keymap
KEYMAP=
if [ -f /etc/sysconfig/console/default.kmap ]; then
  KEYMAP=/etc/sysconfig/console/default.kmap
else
  . /etc/sysconfig/keyboard
  if [ -n "$KEYTABLE" -a -d "/usr/lib/kbd/keymaps" ]; then
     KEYMAP=$KEYTABLE
  fi
fi
if [ -n "$KEYMAP" ]; then
  # Since this takes in/output from stdin/out, we can't use initlog
  echo -n "Loading default keymap"
  loadkeys $KEYMAP < /dev/tty0 > /dev/tty0 2>/dev/null && \
     success "Loading default keymap" || failure "Loading default keymap"
  echo
fi

Comment 1 Bill Nottingham 2000-01-18 16:59:59 UTC
This is fixed in 6.1; it will only load the keymap if it's
in /etc/sysconfig/console, and it will load it later in
the keytable init script.


Note You need to log in before you can comment on or make changes to this bug.